In the early days of Xinerama, Solaris Xsun extended the protocol in one
direction, while XFree86 extended differently.   X.Org has adopted the more
widely adopted XFree86 extensions, and thus the Solaris version is deprecated,
but Sun maintains backwards compatibility with old versions of Solaris, so
we still have this here for now.

For more info, see:
 https://blogs.oracle.com/alanc/xinerama-protocol-clashes-on-solaris

--- xorgproto-2019.1/include/X11/extensions/panoramiXproto.h.orig	2019-08-09 01:04:39.020740134 +0000
+++ xorgproto-2019.1/include/X11/extensions/panoramiXproto.h	2019-08-09 01:06:19.794396064 +0000
@@ -190,4 +190,83 @@
 } xXineramaScreenInfo;
 #define sz_XineramaScreenInfo 8
 
+#if defined(SUNSOFT) && !defined(XORGSERVER)
+/************************************************************************
+ * Xsun addition to Xinerama 1.0 protocol, now deprecated in favor of 1.1
+ * protocol.
+ *
+ * Copyright (c) 2006, 2009, Oracle and/or its affiliates. All rights reserved.
+ *
+ * Permission is hereby granted, free of charge, to any person obtaining a
+ * copy of this software and associated documentation files (the "Software"),
+ * to deal in the Software without restriction, including without limitation
+ * the rights to use, copy, modify, merge, publish, distribute, sublicense,
+ * and/or sell copies of the Software, and to permit persons to whom the
+ * Software is furnished to do so, subject to the following conditions:
+ *
+ * The above copyright notice and this permission notice (including the next
+ * paragraph) shall be included in all copies or substantial portions of the
+ * Software.
+ *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+ * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+ * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
+ * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+ * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
+ * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
+ * DEALINGS IN THE SOFTWARE.
+ */
+
+#define X_PanoramiXGetInfo	4
+#define X_XineramaInfo		4
+
+#define XINERAMA_PLACE_TOP	1
+#define XINERAMA_PLACE_BOTTOM	2
+#define XINERAMA_PLACE_RIGHT	4
+#define XINERAMA_PLACE_LEFT	8
+
+#ifndef _XINERAMAINFO_
+#define _XINERAMAINFO_
+
+#define XinID	int
+#define MAXSCREEN 16
+#define DELTA	int
+#define POINT	int
+
+typedef struct subwid
+{
+	XinID	wid;	/* sub window id */
+	DELTA	dx,dy;	/* delta in screen co-ord from virtual zero */
+	POINT	x,y;	/* location of window in screen co-ord */
+	DELTA 	wdx,wdy;/* size of window in screen co-ord */
+} SubWID, *pSubWID;
+
+typedef struct xineramainfo
+{
+	XinID 	wid;	/* Window ID of requested virtual window */
+	SubWID	subs[MAXSCREEN];	/* there will be 16 slots */
+} XineramaInfo, *pXineramaInfo;
+#endif /* _XINERAMAINFO_ */
+
+typedef struct _XXineramaInfoReply
+{
+	BYTE	type;
+	CARD8	unused;
+	CARD16	sequenceNumber B16;
+	CARD32	length B32;
+	XinID 	wid;	/* Window ID of requested virtual window */
+	SubWID	subs[MAXSCREEN];	/* there will be 16 slots */
+}xXineramaInfoReply;
+
+typedef struct _XXineramaInfoReq
+{
+	CARD8	reqType;
+	CARD8	xXineramaReqType;
+	CARD16	length B16;
+	CARD32	visual B32;
+}xXineramaInfoReq;
+
+#define sz_xXineramaInfoReq 8
+#endif /* SUNSOFT & !XORGSERVER */
+
 #endif
